//========================================================

class Icon_Text extends Icon {

//========================================================
    //----------------------------------------------------
    onSetup(data){
    //----------------------------------------------------

        super.onSetup(data);
        this.add_variable("text");
    }
    //----------------------------------------------------

    get_text(selected){
    //----------------------------------------------------
        return this.text;
    }
    //----------------------------------------------------
}
//========================================================
